Send a test email
POST
Sends one version of an EMAIL step to email, from one of the campaign identities, with the variables of a random contact of the campaign. Use the step _id and version _id from GET /advanced/campaigns/{campaignId}.
Authorization
apiKey Authorization<token>
Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.
In: header
Path Parameters
campaignId*string
Identifier of a multichannel campaign (24 hexadecimal characters), as returned by POST /advanced/campaigns or GET /advanced/campaigns.
Match
^[0-9a-fA-F]{24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/advanced/campaigns/6650f1a2b839d80011c5a0f1/test-email" \ -H "Authorization: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "stepId": "6650f1a2b839d80011c5c001", "versionId": "6650f1a2b839d80011c5c002", "email": "john.doe@acme.com" }'{ "success": true}